<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Pengaturan_umum extends MY_Controller{

	public function __construct(){
        parent::__construct();
        $this->load->model('Pengaturan_umum_m');
    }

	public function index(){
		$data['judul'] = 'Pengaturan Umum';
		$data['aktif'] = 'pengaturan_umum';
        $data['menu'] = $this->load->view('main_menu', $data, true);		
        $data['tooltip_reset_cuti'] = "Digunakan untuk mereset jumlah cuti tahunan pada karyawan dengan status tetap";
        $data['tooltip_update_cuti'] = "Digunakan untuk penambahan atau pengurangan jumlah cuti tahunan pada karyawan dengan status tetap";
        $data['tooltip_lock_lokasi'] = "Jika dipilih 'YA' maka semua karyawan hanya bisa melakukan absensi di dalam lokasi kantor";
        $data['tooltip_lock_device'] = "Jika dipilih 'YA' maka satu karyawan hanya bisa login menggunakan satu perangkat";
        $data['tooltip_lock_facerecognition'] = "Jika dipilih 'YA' maka absensi semua karyawan menggunkan face recognition";
		$data['data'] = $this->Pengaturan_umum_m->getData();
		$data['id_company'] = md5($this->session->userdata('id_company'));
		$data['content'] = $this->load->view('pengaturan/umum/home', $data, true);
		$this->load->view('main_template', $data, false);
	}

	public function save(){	
		$jenis_form = $this->input->post("jenis_form");
		$status = $this->input->post("status");

		$master_company = null;
		$data_karyawan = null;
		$data_users = null;
		
		if($jenis_form == "#form_locklokasi"){

            $master_company = array("lock_lokasi" => $status);
			$data_karyawan = array("lock_lokasi" => $status);

        }else if($jenis_form == "#form_lockdevice"){

			$master_company = array("lock_device" => $status);
			$data_users = array("lock_device" => $status);

        }else if($jenis_form == "#form_facerecognition"){

            $master_company = array("lock_facerecognition" => $status);
            $data_users = array("lock_facerecognition" => $status);

        }
	
		$this->Pengaturan_umum_m->save($master_company, $data_karyawan, $data_users); 
	}

	public function reset_cuti(){
		$status = $this->input->post('status');
		$option = $this->input->post('option');
		$jml_cuti = $this->input->post('jml_cuti');

		$this->Pengaturan_umum_m->reset_cuti($status, $option, $jml_cuti); 
	}
}
